#!/bin/bash

cd `dirname $0`

source ../../../skripte-bash/einstellungen.sh

################################################################################
# SWE-Spezifische Parameter	(berprfen und anpassen)                          #
################################################################################

smod="-sm=kb.B27KR1,kb.EfrKR1,kb.EngKR1,kb.FreKR1,kb.HdhKR1,kb.HeiKR1,kb.HerKR1,kb.KarKR1,kb.KirKR1,kb.LudKR1,kb.LudKR2,kb.ManKR1,kb.NeuKR1,kb.OffKR1,kb.RotKR1,kb.SinKR1,kb.UlmKR1,kb.UlmKR2,kb.WalKR1,kb.WalKR2,kb.WanKR1"


################################################################################
# Folgende Parameter mssen berprft und evtl. angepasst werden               #
################################################################################

# Parameter fr den Java-Interpreter, als Standard werden die Einstellungen aus # einstellungen.sh verwendet.
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# Parameter fr den Datenverteiler, als Standard werden die Einstellungen aus # einstellungen.sh verwendet.
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=.."

jconPort="10406"

if [ "$testlauf" ]; then
	jvmArgs=$jvmArgs" -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port="$jconPort" -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false"
fi

################################################################################
# Ab hier muss nichts mehr angepasst werden                                    #
################################################################################

# Applikation starten
$java $jvmArgs -jar ../de.bsvrz.dua.abfrpuffer-runtime.jar \
	$dav1 \
	$smod \
	-alle-online=true \
	-abfragemodul=abfragemodul.bw \
	-debugLevelFileText=CONFIG \
	-debugLevelStdErrText=:error \
	-debugSetLoggerAndLevel=:none \
	-debugSetLoggerAndLevel=de.bsvrz.iav:config \
	&
